commit: dd9e6a6548da4094798bf354d4d50900f5a7084e
Author: Samuel Bauer <samuel.bauer <AT> yahoo <DOT> fr>
AuthorDate: Tue Jul 13 01:51:09 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Tue Jul 13 01:51:09 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=dd9e6a65
games-emulation/yuzu: GenerateSCMRev fails, fix titlebar
Signed-off-by: Samuel Bauer <samuel.bauer <AT> yahoo.fr>
games-emulation/yuzu/yuzu-9999.ebuild | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/games-emulation/yuzu/yuzu-9999.ebuild
b/games-emulation/yuzu/yuzu-9999.ebuild
index fc3082cb2..9a6f4bd8f 100644
--- a/games-emulation/yuzu/yuzu-9999.ebuild
+++ b/games-emulation/yuzu/yuzu-9999.ebuild
@@ -101,6 +101,12 @@ src_prepare() {
sed -i '/PS5_RUMBLE/d' src/input_common/sdl/sdl_impl.cpp
fi
+ # Workaround: GenerateSCMRev fails
+ sed -i -e "s/@GIT_BRANCH@/${EGIT_BRANCH:-master}/" \
+ -e "s/@GIT_REV@/$(git rev-parse --short HEAD)/" \
+ -e "s/@GIT_DESC@/$(git describe --always --long)/" \
+ src/common/scm_rev.cpp.in || die
+
cmake_src_prepare
}